import 'package:flutter/material.dart';
import 'package:ida_ui/ida_ui.dart';

class ButtonsPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Buttons'),
        centerTitle: true,
      ),
      body: Container(
        width: double.infinity,
        height: double.infinity,
        child: SingleChildScrollView(
          child: Column(
            children: <Widget>[
              IdaUiButton(
                text: 'Ida UI Button',
                callback: () async {
                  await Future.delayed(Duration(seconds: 3));

                  debugPrint('delayed debug');
                },
              )
            ],
          ),
        ),
      ),
    );
  }
}
